#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    string s[3];
    cin >> s[0] >> s[1] >> s[2];
    sort(s, s+3);
    reverse(s, s+3);

    cout << s[0] + s[1] + s[2];
}